<?php
    require_once("tfpdf.php");
    require_once ("mypdf-table.php");
    require_once ("classes/tfpdftable.php");

    $columns = array(
        array('TEXT' => 'COLUMN 1', 'ROWSPAN' => 3),
        array('TEXT' => 'COLUMN 2', 'ROWSPAN' => 3),
        array('TEXT' => 'SUBCOLUMN 1'),
        array('TEXT' => 'SUBCOLUMN 2'),
        array('TEXT' => 'SUBCOLUMN 3'),
        array('TEXT' => 'SUBCOLUMN 4'),
        array('TEXT' => 'COLUMN 4', 'ROWSPAN' => 3)
    );

    $oPdf = new myPdf('L', 'mm', 'Legal');

    $oPdf->Open();
    $oPdf->SetAutoPageBreak(true, 70);
    $oPdf->AddPage();
    $oPdf->AliasNbPages();
    $oPdf->SetMargins(20, 60, 20);

    $oTable = new TfpdfTable($oPdf);
    $oTable->initialize(array(40, 40, 60, 25, 30, 30, 60));

    $oTable->addHeader($columns);
    $oTable->addHeader($columns);
    $oTable->addHeader($columns);

    $oTable->setHeaderProperty(2, 'TEXT', 'COLUMN 3');
    $oTable->setHeaderProperty(2, 'ROWSPAN', 2);
    $oTable->setHeaderProperty(2, 'COLSPAN', 4);

    $aData = array(
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
        array('column1'=>' ', 'column2' => ' ', 'column3' => ' ', 'column4' => ' ', 'column5' => ' ', 'column6'=> ' ', 'column7' => ' '),
    );

    foreach($aData as $row)
    {
        $addRow = array();
        $addRow[0]['TEXT'] = $row['column1'];
        $addRow[1]['TEXT'] = $row['column2'];
        $addRow[2]['TEXT'] = $row['column3'];
        $addRow[3]['TEXT'] = $row['column4'];
        $addRow[4]['TEXT'] = $row['column5'];
        $addRow[5]['TEXT'] = $row['column6'];
        $addRow[6]['TEXT'] = $row['column7'];
        $oTable->addRow($addRow);
    }

    $oTable->close();
    $oPdf->Output();
?>
